- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | Properties

# QMovie Class Reference

Search for all occurrences

## Detailed Description

Definition at line 74 of file qmovie.h.

`#include <qmovie.h>`

Inheritance diagram for QMovie:
[legend]

List of all members.

## Public Types
enum | MovieState { NotRunning, Paused, Running }
enum | CacheMode { CacheNone, CacheAll }
## Public Slots
void | start ()
bool | jumpToNextFrame ()
void | setPaused (bool paused)
void | stop ()
void | setSpeed (int percentSpeed)
## Signals
void | started ()
void | resized (const QSize &size)
void | updated (const QRect &rect)
void | stateChanged (QMovie::MovieState state)
void | error (QImageReader::ImageReaderError error)
void | finished ()
void | frameChanged (int frameNumber)
## Public Member Functions
| QMovie (QObject *parent=0)
| QMovie (QIODevice *device, const QByteArray &format=QByteArray(), QObject *parent=0)
| QMovie (const QString &fileName, const QByteArray &format=QByteArray(), QObject *parent=0)
| ~QMovie ()
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setFileName (const QString &fileName)
QString | fileName () const
void | setFormat (const QByteArray &format)
QByteArray | format () const
void | setBackgroundColor (const QColor &color)
QColor | backgroundColor () const
MovieState | state () const
QRect | frameRect () const
QImage | currentImage () const
QPixmap | currentPixmap () const
bool | isValid () const
bool | jumpToFrame (int frameNumber)
int | loopCount () const
int | frameCount () const
int | nextFrameDelay () const
int | currentFrameNumber () const
int | speed () const
QSize | scaledSize ()
void | setScaledSize (const QSize &size)
CacheMode | cacheMode () const
void | setCacheMode (CacheMode mode)
CacheMode | cacheMode ()
## Static Public Member Functions
static QList< QByteArray > | supportedFormats ()
## Properties
int | speed
CacheMode | cacheMode

## Member Enumeration Documentation

enum MovieState

Search for all occurrences

Enumerator:

  NotRunning | Search for all occurrences
  Paused | Search for all occurrences
  Running | Search for all occurrences

Definition at line 82 of file qmovie.h.

                        {
            NotRunning,
            Paused,
            Running
        };

enum CacheMode

Search for all occurrences

Enumerator:

  CacheNone | Search for all occurrences
  CacheAll | Search for all occurrences

Definition at line 87 of file qmovie.h.

                       {
            CacheNone,
            CacheAll
        };

## Constructor & Destructor Documentation

QMovie | ( | QObject * | parent = `0` | ) |

QMovie | ( | QIODevice * | device,
|  | const QByteArray & | format = `QByteArray()`,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

QMovie | ( | const QString & | fileName,
|  | const QByteArray & | format = `QByteArray()`,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QMovie | ( |  | ) |

## Member Function Documentation

static QList<QByteArray> supportedFormats | ( |  | ) | `[static]`

Search for all occurrences

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

void setFormat | ( | const QByteArray & | format | ) |

Search for all occurrences

QByteArray format | ( |  | ) | const

Search for all occurrences

void setBackgroundColor | ( | const QColor & | color | ) |

Search for all occurrences

QColor backgroundColor | ( |  | ) | const

Search for all occurrences

MovieState state | ( |  | ) | const

Search for all occurrences

QRect frameRect | ( |  | ) | const

Search for all occurrences

QImage currentImage | ( |  | ) | const

Search for all occurrences

QPixmap currentPixmap | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

bool jumpToFrame | ( | int | frameNumber | ) |

Search for all occurrences

int loopCount | ( |  | ) | const

Search for all occurrences

int frameCount | ( |  | ) | const

Search for all occurrences

int nextFrameDelay | ( |  | ) | const

Search for all occurrences

int currentFrameNumber | ( |  | ) | const

Search for all occurrences

int speed | ( |  | ) | const

Search for all occurrences

QSize scaledSize | ( |  | ) |

Search for all occurrences

void setScaledSize | ( | const QSize & | size | ) |

Search for all occurrences

CacheMode cacheMode | ( |  | ) | const

Search for all occurrences

void setCacheMode | ( | CacheMode | mode | ) |

Search for all occurrences

CacheMode cacheMode | ( |  | ) |

Search for all occurrences

void started | ( |  | ) | `[signal]`

Search for all occurrences

void resized | ( | const QSize & | size | ) | `[signal]`

Search for all occurrences

void updated | ( | const QRect & | rect | ) | `[signal]`

Search for all occurrences

void stateChanged | ( | QMovie::MovieState | state | ) | `[signal]`

Search for all occurrences

void error | ( | QImageReader::ImageReaderError | error | ) | `[signal]`

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void frameChanged | ( | int | frameNumber | ) | `[signal]`

Search for all occurrences

void start | ( |  | ) | `[slot]`

Search for all occurrences

bool jumpToNextFrame | ( |  | ) | `[slot]`

Search for all occurrences

void setPaused | ( | bool | paused | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void setSpeed | ( | int | percentSpeed | ) | `[slot]`

Search for all occurrences

## Property Documentation

int speed `[read, write]`

Search for all occurrences

Definition at line 79 of file qmovie.h.

CacheMode cacheMode `[read, write]`

Search for all occurrences

Definition at line 80 of file qmovie.h.

The documentation for this class was generated from the following file:

- QtGui/qmovie.h

QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie
QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie QMovie